> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/soundgroup.md).

# SoundGroup

SoundGroup : `Instance`

## Overview

SoundGroup is an object that lets you control multiple sounds collectively.

To associate a Sound with a specific group, you must set the SoundGroup property directly. Simply parenting a Sound under a SoundGroup in the hierarchy does not link it to that group.

If you change the SoundGroup while a Sound is playing, or change the SoundGroup's Volume, the change is applied immediately.

## Properties

### Volume

`number`

A multiplier applied to the volume of all sounds in the SoundGroup. You can set a value from 0 (minimum) to 10 (maximum). The output volume of every sound in the group is scaled proportionally by this value.

If Volume is 0, sounds linked to this SoundGroup will not be output.

#### Code Samples

```lua
local SoundGroup = script.Parent

SoundGroup.Volume = 0.2
```

## Methods

## Events


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/soundgroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
